## org.omg.CORBA
Class ArrayDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ArrayDefHelper

public class ArrayDefHelper
extends java.lang.Object

Helper class for : ArrayDef

Author:
  OpenORB Compiler

Constructor Summary
`ArrayDefHelper()`

Method Summary
`static ArrayDef` `extract(Any a)` Extract ArrayDef from an any
`static java.lang.String` `id()` Return the ArrayDef IDL ID
`static void` `insert(Any a, ArrayDef t)` Insert ArrayDef into an any
`static ArrayDef` `narrow(Object obj)` Narrow CORBA::Object to ArrayDef
`static ArrayDef` `read(InputStream istream)` Read ArrayDef from a marshalled stream
`static TypeCode` `type()` Return the ArrayDef TypeCode
`static ArrayDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ArrayDef
`static void` `write(OutputStream ostream, ArrayDef value)` Write ArrayDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayDefHelper

    public ArrayDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ArrayDef t)

  Insert ArrayDef into an any
  Parameters:
    `a` - an any
    `t` - ArrayDef value

### extract

    public static ArrayDef extract(Any a)

  Extract ArrayDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ArrayDef value

### type

    public static TypeCode type()

  Return the ArrayDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ArrayDef IDL ID
  Returns:
    an ID

### read

    public static ArrayDef read(InputStream istream)

  Read ArrayDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ArrayDef value

### write

    public static void write(OutputStream ostream,
                             ArrayDef value)

  Write ArrayDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ArrayDef value

### narrow

    public static ArrayDef narrow(Object obj)

  Narrow CORBA::Object to ArrayDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ArrayDef Object

### unchecked_narrow

    public static ArrayDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ArrayDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ArrayDef Object